Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent stats

GET/workspaces/{organizationId}/agent/stats
Path parameters
organizationIdstringrequired
Responses
200

Aggregate agent session stats for the workspace: totals, per-provider breakdown, success rate, durations, and infra failures

totalnumberrequired
byStatusobjectrequired
infraFailuresnumberrequired
avgDurationSecondsnumber | nullrequired
providersobject[]required
Show properties
Array of object
agentIdstringrequired
totalnumberrequired
completednumberrequired
failednumberrequired
successRatenumber | nullrequired
avgDurationSecondsnumber | nullrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/stats'
Response
{
  "total": 0,
  "byStatus": {
    "property1": 0,
    "property2": 0
  },
  "infraFailures": 0,
  "avgDurationSeconds": 0,
  "providers": [
    {
      "agentId": "string",
      "total": 0,
      "completed": 0,
      "failed": 0,
      "successRate": 0,
      "avgDurationSeconds": 0
    }
  ]
}